ant.design 61 packages

Last scanned on Jan 19 at 09:57 AM
lodash 4.17.16VulnerableOutdated
Lodash modular utilities.
License
MIT
Footprint
788 B
Vulnerabilities
Command Injection in lodash
Affected versions >=0 <4.17.21
Regular Expression Denial of Service (ReDoS) in lodash
Affected versions >=0 <4.17.21
Prototype Pollution in lodash
Affected versions >=3.7.0 <4.17.19
Matched Modules
Version distribution in production
3 846
4.17.16
946
4.17.21
337
4.17.20
322
4.17.15
302
4.17.19
301
4.17.13
uuid 7.0.0 - 8.0.0Outdated
RFC4122 (v1, v4, and v5) UUIDs
react-is 16.3.0 - 16.13.1Outdated
Brand checking of React Elements.
@babel/runtime 7.20.5 - 7.20.7Outdated
babel's modular runtime helpers
+1
hzoo
existentialism
nicolo-ribaudo
deepmerge 4.1.0 - 4.2.2Outdated
A library for deep (recursive) merging of Javascript objects
core-js 3.27.0 - 3.27.1Outdated
Standard library
scheduler 0.21.0 - 0.23.0
Cooperative scheduler for the browser environment.
prop-types 15.8.0 - 15.8.1
Runtime type checking for React props and similar objects.
react 17.0.0 - 18.2.0
React is a JavaScript library for building user interfaces.
react-dom 18.0.0 - 18.2.0
React package for working with the DOM.
dayjs 1.11.6 - 1.11.7Outdated
2KB immutable date time library alternative to Moment.js with the same modern API
@emotion/memoize 0.7.5 - 0.8.0Outdated
emotion's memoize utility
+1
emmatown
tkh44
emotion-release-bot
hoist-non-react-statics 3.3.1 - 3.3.2
Copies non-react specific statics from a child component to a parent component
mridgway
mridgway
@emotion/unitless 0.7.2 - 0.8.0Outdated
An object of css properties that don't accept values with units
+1
emmatown
tkh44
emotion-release-bot
classnames 2.3.2Outdated
A simple utility for conditionally joining classNames together
stylis 4.0.0 - 4.0.5Outdated
A Light–weight CSS Preprocessor
andarist
thysultan
@emotion/serialize 1.0.2 - 1.1.1Outdated
serialization utils for emotion
+1
emmatown
tkh44
emotion-release-bot
@emotion/utils 1.0.0 - 1.2.0Outdated
internal utils for emotion
+1
emmatown
tkh44
emotion-release-bot
react-router 6.0.0 - 6.3.0Outdated
Declarative routing for React
react-router-dom 6.0.0 - 6.7.0Outdated
Declarative routing for React web applications
react-fast-compare 3.1.0 - 3.2.0Outdated
Fastest deep equal comparison for React. Great for React.memo & shouldComponentUpdate. Also really fast general-purpose deep comparison.
crypto-browserify 1.0.9 - 2.0.0Outdated
implementation of crypto for the browser
+2
dcousens
ljharb
cwmma
@svgr/hast-util-to-babel-ast 4.0.0 - 5.5.0Outdated
Transform HAST to Babel AST (JSX)
micromark 2.9.0 - 2.10.1Outdated
small commonmark compliant markdown parser with positional info and concrete tokens
shallowequal 1.0.1 - 1.1.0
Like lodash isEqualWith but for shallow equal.
prismjs 1.26.0 - 1.29.0
Lightweight, robust, elegant syntax highlighting. A spin-off project from Dabblet.
history 5.3.0
Manage session history with JavaScript
resize-observer-polyfill 1.5.0 - 1.5.1
A polyfill for the Resize Observer API
react-select 5.5.5Outdated
A Select control built with and for ReactJS
copy-to-clipboard 3.3.2 - 3.3.3
Copy stuff into clipboard using JS with fallbacks
toggle-selection 1.0.5 - 1.0.6
Toggle current selected content in browser
intl-messageformat 9.13.0 - 10.2.5Outdated
Formats ICU Message strings with number, date, plural, and select placeholders to create localized messages.
web-vitals 3.0.0 - 3.0.4Outdated
Easily measure performance metrics in JavaScript
rc-util 5.25.2 - 5.27.1Outdated
Common Utils For React Component
string-convert 0.2.0 - 0.2.1
String convertions
akiran
akiran
json2mq 0.2.0
Generate media query string from JSON or javascript object
akiran
akiran
faker 3.0.0 - 5.5.3Outdated
Generate massive amounts of fake contextual data
marak
marak
rc-tooltip 5.2.0 - 5.3.1Outdated
React Tooltip
react-helmet-async 1.1.0 - 1.3.0Outdated
Thread-safe Helmet for React 16+ and friends
wonderboymusic
wonderboymusic
xstate 4.7.0 - 4.35.2Outdated
Finite State Machines and Statecharts for the Modern Web.
@ctrl/tinycolor 3.4.1 - 3.5.0Outdated
Fast, small color manipulation and conversion for JavaScript
@ant-design/colors 5.1.0 - 7.0.0Outdated
Color palettes calculator of Ant Design
+4
madccc
afc163
vthinkxie
react-intl 3.0.0 - 6.2.5Outdated
Internationalize React apps. This library provides React components and an API to format dates, numbers, and strings, including pluralization and handling translations.
@ant-design/icons 4.6.4 - 5.0.0Outdated
[![NPM version](https://img.shields.io/npm/v/@ant-design/icons.svg?style=flat)](https://npmjs.org/package/@ant-design/icons) [![NPM downloads](http://img.shields.io/npm/dm/@ant-design/icons.svg?style=flat)](https://npmjs.org/package/@ant-design/icons)
+4
madccc
afc163
vthinkxie
rc-trigger 4.3.0 - 5.3.4
base abstract trigger component for react
antd 4.24.4 - 5.1.0Outdated
An enterprise-class UI design language and React components implementation
rc-select 14.1.11 - 14.2.0Outdated
React Select
@formatjs/intl 2.2.3 - 2.6.3Outdated
Internationalize JS apps. This library provides an API to format dates, numbers, and strings, including pluralization and handling translations.
rc-dialog 8.9.0 - 9.0.2Outdated
dialog ui component for react
rc-pagination 3.1.11 - 3.2.0Outdated
pagination ui component for react
@ant-design/icons-svg 4.2.0 - 4.2.1Outdated
Abstract nodes for ant design icons.
+4
madccc
afc163
vthinkxie
rc-picker 3.1.2 - 3.1.4Outdated
React date & time picker
rc-field-form 1.10.1 - 1.27.3Outdated
React Form Component
@chakra-ui/theme 1.2.2 - 2.1.3Outdated
The default theme for chakra components
@chakra-ui/hooks 1.0.0 - 1.0.2Outdated
React hooks for Chakra components
blurhash 2.0.1Outdated
Encoder and decoder for the Wolt BlurHash algorithm.
react-flip-move 2.6.1 - 2.6.2Outdated
Effortless animation between DOM changes (eg. list reordering) using the FLIP technique.
@tannin/plural-forms 1.0.0 - 1.1.0
Compiles a function to compute the plural forms index for a given value
aduth
aduth
botframework-webchat-core 4.2.0 - 4.3.0Outdated
Core of botframework-webchat
+2
botframework
sgellock
cwhitten
botframework-webchat-component 4.1.0 - 4.7.1Outdated
React component of botframework-webchat
+2
botframework
sgellock
cwhitten
react-amphtml 3.1.0 - 4.0.2
Use amphtml components inside your React apps easily!
dfrankland
dfrankland